Bug 8336 - Stage participants has visibility problems
Stage participants has visibility problems
Status: RESOLVED FIXED
Product: OMP
Classification: Unclassified
Component: User Interface
1.1.1
All All
: P3 normal
Assigned To: Michael Thessel
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 09:12 PDT by beghelli
Modified: 2014-11-14 15:08 PST (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description beghelli 2013-07-25 09:12:54 PDT
When the grid doesn't fit entirely inside the pkp_structure_main div (see non initiated review stage, for example) the part of the grid that's outside the div is not visible.

This is caused by the overflow:hidden css rule defined for the pkp_structure_main div. But removing this will break the side bar arrangement. I sense that we need to solve the side bars markup and styles to fix this one.
Comment 1 Alec Smecher 2013-07-25 13:14:52 PDT
Do you have a rough idea what this would look like, Bruno? The sidebar styles are pretty unrefined, so I don't think a rewrite will be disruptive.
Comment 2 Michael Thessel 2014-10-17 19:25:11 PDT
Hi Bruno,

I have been looking into this. What behavior would you expect? We could do a media query approach where we hide/reposition/restructure the sidebar. 

Generally speaking though:
The site generally looks fine for screens 1000px and higher. If we want to have it look good below that we are basically talking about creating a responsive theme. I'm not sure how necessary that is in our case. Do we have evidence that a significant number of people uses our site with screens smaller than 1000px width?

If we just fix the sidebar issue we look pretty good for screens down to 750px. That said I don't think that there are many devices out there that would benefit just from that optimization. Let me know what you think.
Comment 3 Michael Thessel 2014-11-12 18:32:51 PST
Hi Bruno,

I'm trying to reproduce that. Could you please let me know what steps to follow to encounter the problem? Do you maybe have a db I can work with?
Comment 4 Michael Thessel 2014-11-13 12:55:59 PST
Created pull requests for that.

https://github.com/pkp/omp/pull/75
https://github.com/pkp/pkp-lib/pull/220

Alec, mind reviewing?
Comment 5 Michael Thessel 2014-11-14 14:45:03 PST
Fixed stage participants cutoff issue
https://github.com/pkp/pkp-lib/commit/12463be622ccc2b081b2074f0154daae6d884d08
Comment 6 Michael Thessel 2014-11-14 14:45:03 PST
Moved footer to bottom of page
https://github.com/pkp/pkp-lib/commit/1cfda22618ee949d8b7b24cc1e3adca07675f8d8
Comment 7 Michael Thessel 2014-11-14 14:45:03 PST
Submodule update ##MichaelThessel/8336_sidebar_fixes##
https://github.com/pkp/omp/commit/728ab8ddd95a3538f2162fe4ea9e3930f2fa5230
Comment 8 Alec Smecher 2014-11-14 15:01:02 PST
Pull request opened (not merged):
Fixed stage participants cutoff issue
https://github.com/pkp/pkp-lib/pull/222
Comment 9 Alec Smecher 2014-11-14 15:03:03 PST
Pull request closed (merged):
Fixed stage participants cutoff issue
https://github.com/pkp/omp/pull/77
Comment 10 Alec Smecher 2014-11-14 15:03:03 PST
Pull request closed (merged):
Fixed stage participants cutoff issue
https://github.com/pkp/pkp-lib/pull/222
Comment 11 Michael Thessel 2014-11-14 15:03:03 PST
Fixed stage participants cutoff issue
https://github.com/pkp/pkp-lib/commit/8cdfee3f2aec849b9a3ec13538938bdc4897ce0d
Comment 12 Michael Thessel 2014-11-14 15:03:03 PST
Fixed stage participants cutoff issue
https://github.com/pkp/omp/commit/7c54c7f35c3138b423a70164f2aa7da9c1c2fde3
Comment 13 Michael Thessel 2014-11-14 15:07:52 PST
Merged and ported to omp-stable-1_1, ojs master, omp master
Comment 14 Michael Thessel 2014-11-14 15:08:03 PST
Submodule update ##MichaelThessel/master##
https://github.com/pkp/ojs/commit/db9588e0205c00694ca9000f1784e06c0ce7afec
Comment 15 Michael Thessel 2014-11-14 15:08:03 PST
Fixed stage participants cutoff issue
https://github.com/pkp/ojs/commit/312bebb7f5e6a56f8551fcc4e1ccda1b876d9dc4
Comment 16 Alec Smecher 2014-11-14 15:08:03 PST
Pull request opened (not merged):
Fixed stage participants cutoff issue
https://github.com/pkp/ojs/pull/353